Package com.xebialabs.xlrelease.domain.status

## Enum TaskStatus

- java.lang.Object
- - java.lang.Enum<TaskStatus>
  - - com.xebialabs.xlrelease.domain.status.TaskStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TaskStatus>`

      public enum TaskStatus
      extends java.lang.Enum<TaskStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORT_SCRIPT_IN_PROGRESS` | When a task's abort script is being evaluated
    `ABORT_SCRIPT_QUEUED` | Deprecated, for removal: This API element is subject to removal in a future version. Used only in upgrader to deserialize release
    `ABORTED` | When the release is aborted, all tasks that are not completed are marked as aborted.
    `COMPLETED` | When a task is done
    `COMPLETED_IN_ADVANCE` | When a task that is not yet in progress is completed
    `FACET_CHECK_IN_PROGRESS` | When the facet (aka attributes are being checked)
    `FAILED` | When a task has been failed, it can be re-tried.
    `FAILING` | When a parallel group has failed subtasks, but other subtasks still in progress or pending.
    `FAILURE_HANDLER_IN_PROGRESS` | When a task's failure handler is being evaluated
    `FAILURE_HANDLER_QUEUED` | Deprecated, for removal: This API element is subject to removal in a future version. Used only in upgrader to deserialize release
    `IN_PROGRESS` | When a task has been started
    `PENDING` | When a task is about to be started, but is waiting for its scheduled start date to be reached.
    `PLANNED` | When a task is not started yet,
    `PRECONDITION_IN_PROGRESS` | When a task's precondition is being evaluated
    `QUEUED` | Deprecated, for removal: This API element is subject to removal in a future version. Used only in upgrader to deserialize release
    `SKIPPED` | When a task is done, but completion was forced.
    `SKIPPED_IN_ADVANCE` | When a task that is not yet in progress is skipped
    `WAITING_FOR_INPUT` | When a task needs extra input to be started: missing required variables.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static TaskStatus[]` | `ACTIVE_STATUSES` |
    `static TaskStatus[]` | `FAILED_STATUSES` |
    `static TaskStatus[]` | `IN_PROGRESS_STATUSES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasBeenStarted()` |
    `boolean` | `isActive()` |
    `boolean` | `isDone()` |
    `boolean` | `isDoneInAdvance()` |
    `boolean` | `isInactive()` |
    `boolean` | `isOneOf​(TaskStatus... statuses)` |
    `java.lang.String` | `value()` |
    `static TaskStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TaskStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLANNED

          public static final TaskStatus PLANNED

      When a task is not started yet,

    - #### PENDING

          public static final TaskStatus PENDING

      When a task is about to be started, but is waiting for its scheduled start date to be reached.

    - #### IN_PROGRESS

          public static final TaskStatus IN_PROGRESS

      When a task has been started

    - #### QUEUED

          @Deprecated(since="10.2.0",
                      forRemoval=true)
          public static final TaskStatus QUEUED

      Deprecated, for removal: This API element is subject to removal in a future version.
      Used only in upgrader to deserialize release

    - #### ABORT_SCRIPT_QUEUED

          @Deprecated(since="10.2.0",
                      forRemoval=true)
          public static final TaskStatus ABORT_SCRIPT_QUEUED

      Deprecated, for removal: This API element is subject to removal in a future version.
      Used only in upgrader to deserialize release

    - #### FAILURE_HANDLER_QUEUED

          @Deprecated(since="10.2.0",
                      forRemoval=true)
          public static final TaskStatus FAILURE_HANDLER_QUEUED

      Deprecated, for removal: This API element is subject to removal in a future version.
      Used only in upgrader to deserialize release

    - #### COMPLETED

          public static final TaskStatus COMPLETED

      When a task is done

    - #### COMPLETED_IN_ADVANCE

          public static final TaskStatus COMPLETED_IN_ADVANCE

      When a task that is not yet in progress is completed

    - #### SKIPPED

          public static final TaskStatus SKIPPED

      When a task is done, but completion was forced.

    - #### SKIPPED_IN_ADVANCE

          public static final TaskStatus SKIPPED_IN_ADVANCE

      When a task that is not yet in progress is skipped

    - #### FAILED

          public static final TaskStatus FAILED

      When a task has been failed, it can be re-tried.

    - #### FAILING

          public static final TaskStatus FAILING

      When a parallel group has failed subtasks, but other subtasks still in progress or pending.

    - #### ABORTED

          public static final TaskStatus ABORTED

      When the release is aborted, all tasks that are not completed are marked as aborted.

    - #### PRECONDITION_IN_PROGRESS

          public static final TaskStatus PRECONDITION_IN_PROGRESS

      When a task's precondition is being evaluated

    - #### WAITING_FOR_INPUT

          public static final TaskStatus WAITING_FOR_INPUT

      When a task needs extra input to be started: missing required variables.

    - #### FAILURE_HANDLER_IN_PROGRESS

          public static final TaskStatus FAILURE_HANDLER_IN_PROGRESS

      When a task's failure handler is being evaluated

    - #### FACET_CHECK_IN_PROGRESS

          public static final TaskStatus FACET_CHECK_IN_PROGRESS

      When the facet (aka attributes are being checked)

    - #### ABORT_SCRIPT_IN_PROGRESS

          public static final TaskStatus ABORT_SCRIPT_IN_PROGRESS

      When a task's abort script is being evaluated

  - ### Field Detail

    - #### ACTIVE_STATUSES

          public static final TaskStatus[] ACTIVE_STATUSES

    - #### IN_PROGRESS_STATUSES

          public static final TaskStatus[] IN_PROGRESS_STATUSES

    - #### FAILED_STATUSES

          public static final TaskStatus[] FAILED_STATUSES

  - ### Method Detail

    - #### values

          public static TaskStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskStatus c : TaskStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### hasBeenStarted

          public boolean hasBeenStarted()

    - #### isDone

          public boolean isDone()

    - #### isDoneInAdvance

          public boolean isDoneInAdvance()

    - #### isActive

          public boolean isActive()

    - #### isInactive

          public boolean isInactive()

    - #### isOneOf

          public boolean isOneOf​(TaskStatus... statuses)